%def_with sdl
%def_with gtk
%def_with tcltk
#%%def_without svgalib

Name: generator
Version: 0.35
Release: alt0.3

Summary: Sega Genesis (Mega Drive) emulator
License: GPL
Group: Emulators
Url: http://www.ghostwhitecrab.com/generator/

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

Source: %name-%version.tar.bz2
Patch0: %name-0.35-cbiere-r2-alt-link-fixes.patch
Patch1: %name-0.35-cbiere-r2-alt-gtk2.patch
Patch2: %name-0.35-cbiere-r2-alt-default-overlay.patch

BuildPreReq: bzlib-devel libjpeg-devel libSDL-devel zlib-devel

%ifarch %ix86
BuildPreReq: nasm
%endif

%if_with gtk
BuildPreReq: libgtk+2-devel
%endif

%if_with tcltk
BuildPreReq: tk-devel
%endif

%if_with sdl
%package sdl
Summary: Sega Genesis (Mega Drive) emulator, SDL frontend
Group: Emulators

%description sdl
Generator is an open source emulator designed to emulate the Sega
Genesis / Mega Drive console, a popular games machine produced in the
early 1990s. It is a portable program written in C and has been ported
to the Amiga, Macintosh, Windows and even pocket PCs such as the iPAQ
and Cassiopeia.

This package contains plain SDL frontend to Generator.
%endif


%if_with gtk
%package gtk
Summary: Sega Genesis (Mega Drive) emulator, GTK frontend
Group: Emulators

%description gtk
Generator is an open source emulator designed to emulate the Sega
Genesis / Mega Drive console, a popular games machine produced in the
early 1990s. It is a portable program written in C and has been ported
to the Amiga, Macintosh, Windows and even pocket PCs such as the iPAQ
and Cassiopeia.

This package contains GTK2 frontend to Generator.
%endif


%if_with tcltk
%package tcltk
Summary: Sega Genesis (Mega Drive) emulator, TCL/TK frontend
Group: Emulators

%description tcltk
Generator is an open source emulator designed to emulate the Sega
Genesis / Mega Drive console, a popular games machine produced in the
early 1990s. It is a portable program written in C and has been ported
to the Amiga, Macintosh, Windows and even pocket PCs such as the iPAQ
and Cassiopeia.

This package contains obsolete TCL/TK frontend to Generator.
%endif


%description
Generator is an open source emulator designed to emulate the Sega
Genesis / Mega Drive console, a popular games machine produced in the
early 1990s. It is a portable program written in C and has been ported
to the Amiga, Macintosh, Windows and even pocket PCs such as the iPAQ
and Cassiopeia.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%__autoreconf

%build
GUIS=""

%if_with sdl
GUIS="$GUIS sdl"
%endif

%if_with gtk
GUIS="$GUIS gtk"
%endif

%if_with tcltk
GUIS="$GUIS tcltk"
%endif

#%%if_with svgalib
#GUIS="$GUIS svgalib"
#%%endif

%__mkdir_p bin

for gui in $GUIS; do
    [[ -f Makefile ]] && make -s clean
    %configure \
%ifarch %ix86
        --with-raze \
%else
        --with-cmz80 \
%endif
        --with-sdl-audio \
        --with-$gui
    %make_build
    mv main/generator-$gui bin/
done

%install
%__mkdir_p %buildroot%_bindir/
cp -a bin/* %buildroot%_bindir/
%if_with tcltk
%__mkdir_p %buildroot%_datadir/%name/
cp -a main/gen.tcl %buildroot%_datadir/%name/
%endif

%if_with tcltk
%files tcltk
%_bindir/%name-tcltk
%_datadir/%name/
%endif

%if_with sdl
%files sdl
%_bindir/%name-sdl
%endif

%if_with gtk
%files gtk
%_bindir/%name-gtk
%endif

%doc AUTHORS ChangeLog README TODO


%changelog
* Thu Feb 15 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.35-alt0.3
- 0.35-cbiere-r3

* Mon Dec 04 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.35-alt0.2
- Sisyphus build
- fix Gtk2 patch
- package all frontends separately

* Sun Dec 03 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.35-alt0.1
- initial build
- 0.35-cbiere-r2
- port to Gtk2
- change default overlay mode from UYVY to YUY2
